id3dev 26.01 An ID3 metadata library

Loading...
Searching...
No Matches
_Id3v2ContentContext Struct Reference

Parsing instructions for a single field within an ID3v2 frame. More...

`#include <id3v2Types.h>`

## Data Fields
Id3v2ContextType | type
| Context type determining parsing behavior (string, binary, numeric, etc.)
size_t | key
| Hashed identifier string for this field. Used to reference this context from other contexts (e.g., 'encoding', 'adjustment').
size_t | min
| Minimum size in bytes (or bits for bit_context, or start index for iter_context).
size_t | max
| Maximum size in bytes (or bits for bit_context, or iteration count for iter_context).

## Detailed Description

Parsing instructions for a single field within an ID3v2 frame.

Specifies how to extract and interpret a data field from frame content. Multiple contexts form a sequence that defines the complete frame structure. Min/max semantics vary by type: for most types they represent byte bounds, for iter_context min=start index and max=iteration count, for bit_context they represent bit counts.

Definition at line 237 of file id3v2Types.h.

## Field Documentation

## ◆ key

size_t _Id3v2ContentContext::key

Hashed identifier string for this field. Used to reference this context from other contexts (e.g., 'encoding', 'adjustment').

Definition at line 242 of file id3v2Types.h.

## ◆ max

size_t _Id3v2ContentContext::max

Maximum size in bytes (or bits for bit_context, or iteration count for iter_context).

Defines upper bound for variable-length fields or number of repetitions for iterations.

Definition at line 254 of file id3v2Types.h.

## ◆ min

size_t _Id3v2ContentContext::min

Minimum size in bytes (or bits for bit_context, or start index for iter_context).

Defines lower bound for variable-length fields or starting position for iterations.

Definition at line 248 of file id3v2Types.h.

## ◆ type

Id3v2ContextType _Id3v2ContentContext::type

Context type determining parsing behavior (string, binary, numeric, etc.)

Definition at line 239 of file id3v2Types.h.

The documentation for this struct was generated from the following file:

- /Users/ewanjones/projects/id3dev/include/id3v2/id3v2Types.h